text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Ord

Description

Monomorphic `TextShow` functions for `Ordering` and `Down`.

Since: 2

Synopsis

- showbOrdering :: Ordering -> Builder
- showbDownPrecWith :: (Int -> a -> Builder) -> Int -> Down a -> Builder

# Documentation

showbOrdering :: Ordering -> Builder Source

Convert a `Ordering` to a `Builder`.

Since: 2

showbDownPrecWith :: (Int -> a -> Builder) -> Int -> Down a -> Builder Source

Convert a `Down` value to a `Builder` with the given show function and precedence.

Since: 2